
#include <stdint.h>
#include <stddef.h>

int strcmp(const char *str1, const char *str2);
size_t strlen(const char *str);
char *strncpy(char *dest, const char *src, size_t n);
int int_strncmp(const char *s1, const char *s2, size_t n);
void strcpy(char *dest, const char *src);
char *strrchr(const char *str, char ch);

int strncmp(const char *s1, const char *s2, size_t n);
char *strchr(const char *str, int ch);
